jQuery(document).ready(function() {
	images_input();
	jQuery(document).on('click', 'button#add_img_row', function(event) {
		event.preventDefault();
  		jQuery('#extra-images').append('<div class="extra-image" data-image-id=""><p class="hide-if-no-js"><button class="add-extra-thumbnail button-primary">Add extra image</button></p><p class="hide-if-no-js"><a href="#" class="remove-extra-thumbnail">Remove extra image</a></p></div>');
		images_input();
	});
   	jQuery(document).on('click', '.remove-extra-thumbnail', function(event) {
		event.preventDefault();
		jQuery(this).parent().parent().remove();
		images_input();
   	});
	function images_input(){
		var img_fields = [];
		jQuery('#extra-images .extra-image').each(function(){
			var img_value = jQuery(this).attr('data-image-id');
			if(img_value != '') {
				jQuery(this).find('.add-extra-thumbnail').remove();
				img_fields.push(img_value);
			}
		});
		var img_input = img_fields.join('|');
		jQuery('input[name="extra-image-input"]').attr('value',img_input);
	}
	var custom_file_frame;
	jQuery(document).on('click', '.add-extra-thumbnail', function(event) {
		event.preventDefault();
		var img_container = jQuery(this).parent();
		if (typeof(custom_file_frame)!=="undefined") {
			custom_file_frame.close();
		}
		custom_file_frame = wp.media.frames.customHeader = wp.media({
			title: "Attach some images",
			library: {
				type: 'image'
			},
			button: {
				text: "add media item"
			},
			multiple: false
		});
		custom_file_frame.on('select', function() {
			var attachment = custom_file_frame.state().get('selection').first().toJSON();
			img_container.prepend('<img src="'+attachment.url+'"/>')
			img_container.parent().attr('data-image-id',attachment.id);
			img_container.find('.add-extra-thumbnail').remove();

			images_input();
		});
		custom_file_frame.open();
	});
});